Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518971 - Service Dialog Elements with validation are not validated
Summary: Service Dialog Elements with validation are not validated
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Roman Blanco
QA Contact: Shveta
URL:
Whiteboard:
Depends On:
Blocks: 1527594
TreeView+ depends on / blocked
 
Reported: 2017-11-29 21:40 UTC by Brant Evans
Modified: 2018-06-21 21:21 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1527594 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:21:22 UTC
Category: Bug
Cloudforms Team: CFME Core


Attachments (Terms of Use)
dialog exported from a previous version of CF (deleted)
2017-11-29 21:43 UTC, Brant Evans
no flags Details
dialog created in 5.9.0.11 (deleted)
2017-11-29 21:44 UTC, Brant Evans
no flags Details

Description Brant Evans 2017-11-29 21:40:17 UTC
Description of problem:
Newly created service dialogs with elements that have validation added do not have the elements validated when the dialog is used.

If a dialog is imported from an export of dialog using a previous version of CloudForms the validation works as expected.

Version-Release number of selected component (if applicable):
5.9.0.11

How reproducible:
Always

Steps to Reproduce:
1. Create a Service Dialog
2. Add an element such as a text box and add a validation regex
3. Create a Catalog Item using the previously created Service Dialog
4. Order the Catalog Item
5. Enter data that fails to validate against the regex

Actual results:
There is no vaidation performed

Expected results:
Validation is performed and the user is provided feedback and prevented from submitting the order

Additional info:
We did find that if a dialog with elements having validation that was exported from a previous version of CloudForms was imported the validation worked as expected.

When exporting both dialogs from 5.9.0 it was found that the validation_type attribute of the newly created service dialog was blank and the export of the older dialog has the validation_type set to regex.

Both of the dialogs used for this test will be attached shortly.

Comment 2 Brant Evans 2017-11-29 21:43:40 UTC
Created attachment 1360552 [details]
dialog exported from a previous version of CF

Comment 3 Brant Evans 2017-11-29 21:44:20 UTC
Created attachment 1360553 [details]
dialog created in 5.9.0.11

Comment 8 Roman Blanco 2017-12-14 14:11:07 UTC
Fixes in PR https://github.com/ManageIQ/ui-components/pull/221

Comment 9 CFME Bot 2017-12-16 20:55:05 UTC
New commit detected on ManageIQ/ui-components/master:
https://github.com/ManageIQ/ui-components/commit/6ba40ed235cf3a11322e419b7b048135a372feee

commit 6ba40ed235cf3a11322e419b7b048135a372feee
Author:     Roman Blanco <rblanco@redhat.com>
AuthorDate: Wed Dec 13 16:28:07 2017 +0100
Commit:     Roman Blanco <rblanco@redhat.com>
CommitDate: Thu Dec 14 14:59:03 2017 +0100

    Test for presence of 'validator_rule' instead of testing 'validator_type'
    
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1518971

 src/dialog-user/services/dialogData.ts | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Note You need to log in before you can comment on or make changes to this bug.